import { deletePath } from '../util/deletePath.mjs';
import { formatJsonWithPrettier } from '../util/formatPrettier.mjs';
import { isFileOrFolderExists } from '../util/isFileOrFolderExists.mjs';

const cleanUp = async (config) => {
    try {
        await formatJsonWithPrettier(config.snpFileMapConfig);
        await formatJsonWithPrettier(config.snpConfigFile);
        if (await isFileOrFolderExists(config.temporaryFolder)) {
            await deletePath(config.temporaryFolder, config.isDebug);
        }
        return config;
    }
    catch (error) {
        console.error(`Error isnt exist: ${error.message}`);
        return config;
    }
};

export { cleanUp };
